org.apache.commons.ssl.asn1

## Class BERSequenceParser

- java.lang.Object
- - org.apache.commons.ssl.asn1.BERSequenceParser

All Implemented Interfaces:
  ASN1SequenceParser, DEREncodable

    public class BERSequenceParser
    extends java.lang.Object
    implements ASN1SequenceParser

### Field Summary

Fields
`private ASN1ObjectParser` `_parser`

### Constructor Summary

Constructors
Constructor and Description
`BERSequenceParser(ASN1ObjectParser parser)`

### Method Summary

Methods
`DERObject` `getDERObject()`
`DEREncodable` `readObject()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _parser

    private ASN1ObjectParser _parser

### Constructor Detail

#### BERSequenceParser

    BERSequenceParser(ASN1ObjectParser parser)

### Method Detail

#### readObject

    public DEREncodable readObject()
                            throws java.io.IOException

Specified by:
  `readObject` in interface `ASN1SequenceParser`
Throws:
  `java.io.IOException`

#### getDERObject

    public DERObject getDERObject()

Specified by:
  `getDERObject` in interface `DEREncodable`